Создание проекта в Android 5.0 Lollipop с использованием Eclipse Juno

Я обновил все 5.0 связанные пакеты в SDK Manager, и когда я создаю новый проект в Eclipse, он показывает целевую версию как 4.X (L Preview) вместо 5.0! Cna помогите мне решить эту проблему в Eclipse. А также я не получаю appcompat_v21 для поддержки более низких уровней API!

Введите описание изображения здесь

Введите описание изображения здесь

Редактировать: Добавлен снимок экрана инструментов SDK Manager.

Введите описание изображения здесь

Solutions Collecting From Web of "Создание проекта в Android 5.0 Lollipop с использованием Eclipse Juno"